<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('trading_partners', function (Blueprint $table) {
            $table->string('type', 100)->default('vendor')->comment('업태')->change();
            $table->string('category', 100)->default('기타')->comment('종목')->change();
        });
    }

    public function down(): void
    {
        Schema::table('trading_partners', function (Blueprint $table) {
            $table->string('type', 20)->default('vendor')->change();
            $table->string('category', 50)->default('기타')->change();
        });
    }
};
